- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes

# QMouseEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 80 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QMouseEvent:
[legend]

List of all members.

## Public Member Functions
| QMouseEvent (Type type, const QPoint &pos, Qt::MouseButton button, Qt::MouseButtons buttons, Qt::KeyboardModifiers modifiers)
| QMouseEvent (Type type, const QPoint &pos, const QPoint &globalPos, Qt::MouseButton button, Qt::MouseButtons buttons, Qt::KeyboardModifiers modifiers)
| ~QMouseEvent ()
const QPoint & | pos () const
const QPoint & | globalPos () const
int | x () const
int | y () const
int | globalX () const
int | globalY () const
Qt::MouseButton | button () const
Qt::MouseButtons | buttons () const
bool | hasExtendedInfo () const
QPointF | posF () const
## Static Public Member Functions
static QMouseEvent * | createExtendedMouseEvent (Type type, const QPointF &pos, const QPoint &globalPos, Qt::MouseButton button, Qt::MouseButtons buttons, Qt::KeyboardModifiers modifiers)
## Protected Attributes
QPoint | p
QPoint | g
Qt::MouseButton | b
Qt::MouseButtons | mouseState

## Constructor & Destructor Documentation

QMouseEvent | ( | Type | type,
|  | const QPoint & | pos,
|  | Qt::MouseButton | button,
|  | Qt::MouseButtons | buttons,
|  | Qt::KeyboardModifiers | modifiers
| ) |  |

QMouseEvent | ( | Type | type,
|  | const QPoint & | pos,
|  | const QPoint & | globalPos,
|  | Qt::MouseButton | button,
|  | Qt::MouseButtons | buttons,
|  | Qt::KeyboardModifiers | modifiers
| ) |  |

~QMouseEvent | ( |  | ) |

## Member Function Documentation

const QPoint& pos | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 90 of file qevent.h.

    { return p; }

const QPoint& globalPos | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 91 of file qevent.h.

    { return g; }

int x | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 92 of file qevent.h.

    { return p.x(); }

int y | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 93 of file qevent.h.

    { return p.y(); }

int globalX | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 94 of file qevent.h.

    { return g.x(); }

int globalY | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 95 of file qevent.h.

    { return g.y(); }

Qt::MouseButton button | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 96 of file qevent.h.

    { return b; }

Qt::MouseButtons buttons | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 97 of file qevent.h.

    { return mouseState; }

static QMouseEvent* createExtendedMouseEvent | ( | Type | type,
|  | const QPointF & | pos,
|  | const QPoint & | globalPos,
|  | Qt::MouseButton | button,
|  | Qt::MouseButtons | buttons,
|  | Qt::KeyboardModifiers | modifiers
| ) |  | `[static]`

Search for all occurrences

bool hasExtendedInfo | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 102 of file qevent.h.

    { return reinterpret_cast<const QMouseEvent *>(d) == this; }

QPointF posF | ( |  | ) | const

Search for all occurrences

## Member Data Documentation

QPoint p `[protected]`

Search for all occurrences

Definition at line 115 of file qevent.h.

QPoint g `[protected]`

Search for all occurrences

Definition at line 115 of file qevent.h.

Qt::MouseButton b `[protected]`

Search for all occurrences

Definition at line 116 of file qevent.h.

Qt::MouseButtons mouseState `[protected]`

Search for all occurrences

Definition at line 117 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QMouseEvent QMouseEvent QMouseEvent QMouseEvent QMouseEvent QMouseEvent QMouseEvent QMouseEvent QMouseEvent QMouseEvent
QMouseEvent QMouseEvent QMouseEvent QMouseEvent QMouseEvent QMouseEvent QMouseEvent QMouseEvent QMouseEvent QMouseEvent